Here are all the passwords you need to change right now because of Heartbleed

Heartbleed Checker Passwords

By now, we all know what a huge deal Heartbleed is. The massive vulnerability in OpenSSL protocol impacted 66% of all sites on the Internet at the time of its discovery, and now companies are scrambling to fix the issue. Most big companies seem to have done a pretty good job of acting quickly, but this bug is several years old so users have been at risk for quite some time regardless of how quickly a site might have patched the flaw. As such, the cybersecurity experts at LWG Consulting have compiled a great list of all the huge sites that were impacted by Heartbleed.

Do you have accounts on any of the sites listed below? Change your password immediately — and be sure to change your passwords on any other sites if you use the same password there.

lwg_heartbleed_passwords
(click to enlarge)

Those looking to protect themselves from websites still impacted by the Heartbleed bug should install this browser plugin immediately. It will warn users each time they visit a website that has not yet updated OpenSSL to protect users from Heartbleed.

blog comments powered by Disqus